<?php
$title = 'Настройки системы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Настройки системы</div>';

    if (isset($_POST['mail']) && isset($_POST['project']) &&
        isset($_POST['wava']) && isset($_POST['ref_cash']) && isset($_POST['antiflud']) &&
        isset($_POST['kom']) && isset($_POST['min']) && isset($_POST['cash']) &&
        isset($_POST['gradient']) && isset($_POST['icon'])) {
 
        $error = '';

        if (isset($_FILES['filename']) && file_exists($_FILES['filename']['tmp_name'])) {
            if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) || !exif_imagetype($_FILES['filename']['tmp_name'])) {
                $error.= 'В качестве логотипа разрешено загружать только файл с расширением JPG, PNG или GIF!<br/>';
            }
        }
        if (empty($_POST['project'])) {
            $error.= 'Введите название проекта!<br/>';
        }
        if (empty($_POST['mail'])) {
            $error.= 'Введите контактный e-mail!<br/>';
        }
        elseif (!filter_var($_POST['mail'], FILTER_VALIDATE_EMAIL)) {
            $error.= 'Поле e-mail заполнено неверно!<br/>';
        }
        if (empty($_POST['antiflud'])) {
            $error.= 'Укажите время антифлуда!<br/>';
        }
        if (empty($_POST['wava'])) {
            $error.= 'Введите ширину аватара!<br/>';
        }
        elseif ($_POST['wava'] < 128) {
            $error.= 'Ширина аватара должна быть больше 128px!<br/>';
        }
        if (empty($_POST['cash'])) {
            $error.= 'Укажите минимальную сумму для вывода средств!<br/>';
        }
        if (empty($_POST['min'])) {
            $error.= 'Укажите минимальную сумму пополнения баланса!<br/>';
        }
        if (empty($_POST['gradient'])) {
            $error.= 'Введите стоимость градиента ника!<br/>';
        }
        if (empty($_POST['icon'])) {
            $error.= 'Введите стоимость личной иконки!<br/>';
        }
        if (isset($_POST['pmin']) && isset($_POST['pmax']) && $mod_array['prmd'] == 1) {
            if (empty($_POST['pmin'])) {
                $error.= 'Укажите минимальную начальную ставку в пирамиде!<br/>';
            }
            if (empty($_POST['pmax'])) {
                $error.= 'Укажите максимальную начальную ставку в пирамиде!<br/>';
            }
        }
        if (isset($_POST['loto']) && isset($_POST['loto_cena']) && $mod_array['loto'] == 1) {
            if (empty($_POST['loto'])) {
                $error.= 'Укажите количество участников лотереи!<br/>';
            }
            if (empty($_POST['loto_cena'])) {
                $error.= 'Введите стоимость лотерейного билета!<br/>';
            }
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            // Логотип сайта
            if (isset($_FILES['filename']) && file_exists($_FILES['filename']['tmp_name'])) {
                // удаляем старое лого
                unlink($_SERVER["DOCUMENT_ROOT"]."/img/".$sys_array['logo']);
                // загружаем новое
                $logo = random_int(11111, 99999)."_".$user['login']."_".rus2translit($_FILES['filename']['name']);
                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/img/".$logo);
                $system['system']['logo'] = $logo;
            }

            // Система
            $system['system']['mail'] = $_POST['mail'];
            $system['system']['project'] = $_POST['project'];
            $system['system']['wava'] = intval(abs($_POST['wava']));
            $system['system']['ref_cash'] = intval(abs($_POST['ref_cash']));
            $system['system']['antiflud'] = intval(abs($_POST['antiflud']));
            $system['system']['kom'] = intval(abs($_POST['kom']));
            $system['system']['min'] = intval(abs($_POST['min']));
            $system['system']['cash'] = abs($_POST['cash']);
            $system['system']['gradient'] = abs($_POST['gradient']);
            $system['system']['icon'] = abs($_POST['icon']);

            // Пирамида
            if (isset($_POST['pmin']) && isset($_POST['pmax']) && $mod_array['prmd'] == 1) {
                $system['system']['pmin'] = abs($_POST['pmin']);
                $system['system']['pmax'] = abs($_POST['pmax']);
            }

            // Лотерея
            if (isset($_POST['loto']) && isset($_POST['loto_cena']) && $mod_array['loto'] == 1) {
                $system['system']['loto'] =  intval(abs($_POST['loto']));
                $system['system']['loto_cena'] = abs($_POST['loto_cena']);
            }

            write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

            header('Location: /adm/system');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST" enctype="multipart/form-data">
    Логотип:<br/><input type="file" name="filename"><br/>
    Название проекта:<br/><input type="text" name="project" value="'.$sys_array['project'].'"><br/>
    Контактный e-mail:<br/><input type="text" name="mail" maxlength="50" value="'.$sys_array['mail'].'"><br/>
    Время антифлуда:<br/><input type="text" name="antiflud" value="'.$sys_array['antiflud'].'"><br/>
    Минимальная сумма для вывода средств:<br/><input type="text" name="cash" value="'.$sys_array['cash'].'"><br/>
    Комиссия на вывод средств (%):<br/><input type="text" name="kom" value="'.$sys_array['kom'].'"><br/>
    Минимальная сумма пополнения баланса:<br/><input type="text" name="min" value="'.$sys_array['min'].'"><br/> 
    Реферальный процент:<br/><input type="text" name="ref_cash" value="'.$sys_array['ref_cash'].'"><br/>
    Стоимость градиента ника:<br/><input type="text" name="gradient" value="'.$sys_array['gradient'].'"><br/>
    Стоимость личной иконки:<br/><input type="text" name="icon" value="'.$sys_array['icon'].'"><br/>
    Ширина аватара при resizeToWidth:<br/><input type="text" name="wava" maxlength="4" value="'.$sys_array['wava'].'"><hr/>
    '.($mod_array['prmd'] == 1 ? 'Минимальная начальная ставка в пирамиде:<br/><input type="text" name="pmin" value="'.$sys_array['pmin'].'"><br/>
    Максимальная начальная ставка в пирамиде:<br/><input type="text" name="pmax" value="'.$sys_array['pmax'].'"><hr/>' : '').
    ($mod_array['loto'] == 1 ? 'Участников лотереи:<br/><input type="text" name="loto" value="'.$sys_array['loto'].'"><br/>
    Стоимость лотерейного билета:<br/><input type="text" name="loto_cena" value="'.$sys_array['loto_cena'].'"><hr/>' : '').'
    <input type="submit" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>