<?php
// Склонение количеств
function quantDec($num, $word) {

    $col = intval($num);
    $rest = substr($col, -1);

    if ($col > 10 && $col < 20) {
        $res = trim($word[2]);
    } elseif ($rest > 1 && $rest < 5) {
        $res = trim($word[1]);
    } elseif ($rest == 1) {
        $res = trim($word[0]);
    } else {
        $res = trim($word[2]);
    }

    return "$num $res";
}
// Остаток времени
function restime($sec) {

    $sec = intval($sec);

    $rest = 0;
    $year = 3600 * 24 * 365;
    $month = 3600 * 24 * 30;
    $day = 3600 * 24;
    $hour = 3600;
    $min = 60;

    if ($sec >= $year) {
        $col = $sec / $year;
        $full_time = quantDec(intval($col), ['год', 'года', 'лет']);
        $rest += $sec % $year;
    } elseif ($sec >= $month) {
        $col = $sec / $month;
        $full_time = quantDec(intval($col), ['месяц', 'месяца', 'месяцев']);
        $rest += $sec % $month;
    } elseif ($sec >= $day) {
        $col = $sec / $day;
        $full_time = quantDec(intval($col), ['день', 'дня', 'дней']);
        $rest += $sec % $day;
    } elseif ($sec >= $hour) {
        $col = $sec / $hour;
        $full_time = quantDec(intval($col), ['час', 'часа', 'часов']);
        $rest += $sec % $hour;
    } elseif ($sec >= $min) {
        $col = $sec / $min;
        $full_time = quantDec(intval($col), ['минута', 'минуты', 'минут']);
        $rest += $sec % $min;
    } else {
        $full_time = quantDec($sec, ['секунда', 'секунды', 'секунд']);
    }

    $rest = $rest > 0 ? ', '.restime($rest) : NULL;
    $full_time.= $rest;

    return $full_time;
}
// Обработка времени
function daytime($var) {

    $date = date('d.m.Y', $var);

    if ($date == date('d.m.Y')) {
        $full_time = date('Сегодня в H:i', $var);
    } elseif ($date == date('d.m.Y', time() - 3600 * 24)) {
        $full_time = date('Вчера в H:i', $var);
    } elseif ($date == date('d.m.Y', time() - 3600 * 24 * 2)) {
        $full_time = date('Позавчера в H:i', $var);
    } elseif ($date == date('d.m.Y', time() + 3600 * 24)) {
        $full_time = date('Завтра в H:i', $var);
    } elseif ($date == date('d.m.Y', time() + 3600 * 24 * 2)) {
        $full_time = date('Послезавтра в H:i', $var);
    } else {
        $full_time = date('d.m.Y в H:i', $var);
    }

    return $full_time;
}
 ?>