<?php
$title = 'Восстановление пароля';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

echo '<div class="title">Восстановление пароля</div>';

if (isset($active)) {
    header('Location: /');
} else {
    if (isset($_POST['login']) && isset($_POST['email']) && isset($_POST['code'])) {
        $error = '';
        if (empty($_POST['code'])) {
            $error.= 'Введите код с картинки!<br/>';
        }
        elseif ($_SESSION['code'] != $_POST['code']) {
            $error.= 'Код с картинки введен неверно!<br/>';
        } else {
            if (empty($_POST['login'])) {
                $error.= 'Введите логин в системе!<br/>';
            }
            elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
                $error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
            }
            elseif (!user($_POST['login'], 1)) {
                $error.= 'Пользователь с таким логином не найден в системе!<br/>';
            }
            if (empty($_POST['email'])) {
                $error.= 'Поле e-mail обязательно для заполнения!<br/>';
            }
            elseif (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                $error.= 'Поле e-mail заполнено неверно!<br/>';
            }
            elseif (user($_POST['login'], 1) && user($_POST['login'], 1)['email'] != $_POST['email']) {
                $error.= 'Указан не тот E-mail!<br/>';
            }
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $key = sha1($_POST['login'].bin2hex(random_bytes(10)));

            $stmt = $connect->prepare("insert into `speedpass` set `time` = ?, `user` = ?, `key` = ?");

            if ($stmt->execute(array(time(), $_POST['login'], md5($key)))) {

                $lid = $connect->LastInsertId();
 
                mailto($_POST['email'], 'Восстановление пароля', 'Вы запросили восстановления пароля для аккаунта '.$_POST['login'].'!<br/>Перейдите по этой ссылке: '.ROOT.'/sp/'.$lid.'/'.$key, $sys_array['mail']);
                echo '<div class="menu">Данные высланы на указанный вами E-mail.</div>';
            } else {
                echo '<div class="menu">Ошибка при восстановлении пароля!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Логин:<br/><input type="text" name="login" maxlength="15"><br/>
    E-mail:<br/><input type="email" name="email" maxlength="35"><br/>
    Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="$(\'#captcha\').attr(\'src\', \'/img/code.php?\' + Math.random())"><br/>
    <input type="text" name="code"><br/>
    <input type="submit" value="Восстановить">
    </form></div>';
}
require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>