<?php
$title = 'Новая площадка';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['serf'] == 1) {

    echo '<div class="title">Новая площадка</div>';

    if (isset($_POST['submit'])) {

        $stmt_num = $connect->prepare("select count(*) from `link` where `url` = ?");
        $stmt_num->execute(array($_POST['url']));

        $error = '';
        if (empty($_POST['url'])) {
            $error.= 'Введите URL!<br/>';
        }
        elseif (mb_strlen($_POST['url']) < 5) {
            $error.= 'Минимальная длина URL - 5!<br/>';
        }
        elseif (mb_strlen($_POST['url']) > 50) {
            $error.= 'Максимальная длина URL - 50 символов!<br/>';
        }
        elseif ($stmt_num->fetchColumn()) {
            $error.= 'Площадка с данным URL уже есть в системе!<br/>';
        }
        elseif (!isSiteAvailable($_POST['url'])) {
            $error.= 'URL недоступен или введен не правильно!<br/>';
        }
        if (empty($_POST['name'])) {
            $error.= 'Введите название!<br/>';
        }
        elseif (mb_strlen($_POST['name']) < 5) {
            $error.= 'Минимальная длина названия - 5!<br/>';
        }
        elseif (mb_strlen($_POST['name']) > 50) {
            $error.= 'Максимальная длина названия - 50 символов!<br/>';
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите цену перехода!<br/>';
        }
        elseif ($_POST['cena'] < $sys_array['cena']) {
            $error.= 'Минимальная цена перехода - '.quantDec($sys_array['cena'], ['рубль', 'рубля', 'рублей']).'!<br/>';
        }
        if (empty($_POST['col'])) {
            $error.= 'Введите количество переходов!<br/>';
        }
        elseif (!is_numeric($_POST['col'])) {
            $error.= 'Неверное значение!<br/>';
        } 
        elseif ($_POST['col'] < 10) {
            $error.= 'Минимальное количество переходов - 10!<br/>';
        }
        if ($user['money'] < $_POST['col'] * $_POST['cena'] && $adm_id != 1) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $col = intval($_POST['col']);
            $cena = abs($_POST['cena']);
            $sum = $col * $cena;
            $off = $adm_id == 1 ? 0 : $mod_array['mod_s'];

            $stmt = $connect->prepare("insert into `link` set `time` = ?, `url` = ?, `name` = ?, `click` = ?, `cena` = ?, `user` = ?, `off` = ?");
            $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");

            if ($stmt->execute(array(time(), $_POST['url'], $_POST['name'], $col, $cena, $user['login'], $off)) && $money->execute(array($sum, $user['id']))) {
                header('Location: /link');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    URL-адрес:<br/><input type="text" name="url" value="http://"><br/>
    Название:<br/><input type="text" name="name"><br/>
    Количество переходов:<br/><input type="text" name="col" value="10"><br/>
    Цена перехода:<br/><input type="text" name="cena"><br/>
    <input type="submit" name="submit" value="Создать площадку">
    </form></div>';
    echo '<div class="forlink"><a href="/link" class="links"><img src="/img/link.png" alt="">Мои площадки</a></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>