<?php
$title = 'Вывод средств';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $stmt_num = $connect->prepare("select count(*) from `payment` where `status` = '0' and `user` = ?");

    echo '<div class="title">Вывод средств</div>';

    if ($adm_id == 1) {
        echo '<div class="menu"><div class="information">Администратор не может выводить средства!</div></div>';
    } else {
        if ($user['money'] < $sys_array['cash']) {
            echo '<div class="menu"><div class="information">Недостаточно средств для вывода!</div></div>';
        } else {
            $stmt_num->execute(array($user['login']));
            if ($stmt_num->fetchColumn()) {
                echo '<div class="menu"><div class="information">Подождите, пока старая заявка будет обработана!</div></div>';
            } else {
                if (isset($_POST['col'])) {
                    $error = '';
                    if (empty($user['wmr'])) {
                        $error.= 'Вы не заполнили свой WMR-кошелек!<br/>';
                    }
                    elseif (empty($_POST['col'])) {
                        $error.= 'Введите сумму для вывода средств!<br/>';
                    }
                    elseif (!is_numeric($_POST['col'])) {
                        $error.= 'Неверное значение!<br/>';
                    }
                    elseif ($_POST['col'] < $sys_array['cash']) {
                        $error.= 'Минимальная сумма для вывода - '.quantDec($sys_array['cash'], ['рубль', 'рубля', 'рублей']).'!<br/>';
                    }
                    elseif ($user['money'] <= 0) {
                        $error.= 'У вас нет средств на балансе!<br/>';
                    }
                    elseif ($user['money'] < $_POST['col']) {
                        $error.= 'На вашем балансе нет такой суммы!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {

                        $cash = intval($_POST['col']);
                        $summa = $cash - $cash / 100 * $sys_array['kom'];
                        $payment = $connect->prepare("insert into `payment` set `user` = ?, `money` = ?, `wmr` = ?");
                        $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");

                        if ($payment->execute(array($user['login'], $summa, $user['wmr'])) && $money->execute(array($cash, $user['id']))) {
                            echo '<div class="menu">Заявка на вывод средств успешно отправлена!</div>';
                            header('Refresh: 1');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                } 
                echo '<div class="menu">
                <form action="" method="POST">
                Сумма:<br/><input type="text" name="col" value="'.intval($user['money']).'"/><br/>
                <input type="submit" value="Вывод средств"/><br/>
                <div class="chi">Комиссия: '.$sys_array['kom'].'%</div>
                </form></div>';
            }
        }
    }
    echo '<div class="menu">
    Кошелек: <img src="/img/wmr.png" alt="wmr">'.$user['wmr'].'<br/>
    Баланс: '.quantDec($user['money'], ['рубль', 'рубля', 'рублей']).'<br/>
    Минимальная сумма для вывода: '.quantDec($sys_array['cash'], ['рубль', 'рубля', 'рублей']).'
    </div>'; 
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>