<?php
$title = 'Угадай число';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['num'] == 1) {

    echo '<div class="title">Добавить ставку</div>';

    $stmt_num = $connect->prepare("select count(*) from `num` where `id` = ?");
    $strow = $connect->prepare("select * from `num` where `id` = ?");
    $m_plus = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
    $m_minus = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");

    if (isset($_POST['add'])) {
        $error = '';
        if (empty($_POST['cash'])) {
            $error.= 'Введите ставку!<br/>';
        }
        elseif ($_POST['cash'] < 1) {
            $error.= 'Минимальная ставка - 1 рубль!<br/>';
        }
        elseif ($_POST['cash'] > 10) {
            $error.= 'Максимальная ставка - 10 рублей!<br/>';
        }
        elseif ($user['money'] < $_POST['cash']) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (empty($_POST['num'])) {
            $error.= 'Введите число!<br/>';
        }
        elseif ($_POST['num'] < 1 or $_POST['num'] > 5) {
            $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $num = intval(abs($_POST['num']));
            $cash = abs($_POST['cash']);
            $stmt2 = $connect->prepare("insert into `num` set `time` = ?, `user` = ?, `cash` = ?, `num` = ?");
            $m_minus->execute(array($cash, $user['id']));
            $stmt2->execute(array(time(), $user['login'], $cash, $num));
            echo '<div class="menu">Ставка успешно добавлена!</div>';
            header('Refresh: 1');
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    Ставка:<br/><input type="text" name="cash"><br/>
    Число (1-5):<br/><input type="text" name="num"><br/>
    <input type="submit" name="add" value="Продолжить">
    </form></div>';

    echo '<div class="title">Угадай число</div>';

    if (isset($_GET['play'])) {
        $stmt_num->execute(array($_GET['play']));
        if (!$stmt_num->fetchColumn()) {
            header('location: /play/num');
        } else {
            $strow->execute(array($_GET['play']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['user'] == $user['login']) {
                header('location: /play/num');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /play/num');
                }
                elseif (isset($_POST['submit'])) {
                    $error = '';
                    if ($user['money'] < $row['cash']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    elseif (empty($_POST['num'])) {
                        $error.= 'Введите число!<br/>';
                    }
                    elseif ($_POST['num'] < 1 or $_POST['num'] > 5) {
                        $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $num = intval(abs($_POST['num']));
                        $delete = $connect->prepare("delete from `num` where `id` = ?");
                        if ($row['num'] == $num) {
                            notification('[b]'.$user['login'].'[/b] угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['user'], 1);
                            $m_plus->execute(array($row['cash'], $user['login']));
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы угадали число!</div>';
                        } else {
                            notification('[b]'.$user['login'].'[/b] не угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['user'], 1);
                            $m_minus->execute(array($row['cash'], $user['id']));
                            $m_plus->execute(array($row['cash'] * 2, $row['user']));
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы не угадали число!</div>';
                        }
                        exit(require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php"));
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                Число:<br/><input type="text" name="num"><br/>
                <input type="submit" name="submit" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена"><br/>
                <div class="chi">Ставка: '.quantDec($row['cash'], ['рубль', 'рубля', 'рублей']).'</div>
                </form></div>';
            }
        }
    } else {

        if ($count_num == 0) {
            echo '<div class="menu">Ставок нет!</div>';
        } else {

            $page = new Pagination($count_num, 10);

            $data = $connect->prepare("select * from `num` order by `time` desc limit :start, 10");
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                Ставка: '.quantDec($row['cash'], ['рубль', 'рубля', 'рублей']).'<br/>
                '.($row['user'] != $user['login'] ? '<div class="butt2"><a href="?play='.$row['id'].'">Играть</a></div>' : 'Ваша ставка').'
                </div>';
            }

            $page->navigation();

        }
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>