<?php
$title = 'Регистрация';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {
    header('Location: /');
} else {

    echo '<div class="title">Регистрация</div>';

    if ($mod_array['registration'] == 1) {

        $ref = $_SESSION['ref'] ?? false;

        if (isset($_POST['login']) && isset($_POST['pass']) && isset($_POST['wmr']) && isset($_POST['email']) && isset($_POST['code'])){
            $error = '';
            if (empty($_POST['code'])) {
                $error.= 'Введите код с картинки!<br/>';
            }
            elseif ($_SESSION['code'] != $_POST['code']) {
                $error.= 'Код с картинки введен неверно!<br/>';
            } else {

                // Поиск e-mail в базе
                $email_s = $connect->prepare("select count(*) from `users` where `email` = ?");
                $email_s->execute(array($_POST['email']));
                // Поиск wmr в базе
                $wmr_s = $connect->prepare("select count(*) from `users` where `wmr` = ?");
                $wmr_s->execute(array($_POST['wmr']));

                if (empty($_POST['login'])) {
                    $error.= 'Введите логин!<br/>';
                }
                elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
                    $error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
                }
                elseif (!preg_match("#^[a-z0-9_-]{1,15}$#i", $_POST['login'])) {
                    $error.= 'Логин должен состоять из латинских букв и/или цифр!<br />';
                } 
                elseif (user($_POST['login'], 1)) {
                    $error.= 'Пользователь с таким логином уже зарегистрирован!<br/>';
                }
                if (empty($_POST['pass'])) {
                    $error.= 'Введите пароль!<br/>';
                }
                elseif (mb_strlen($_POST['pass']) < 6 or mb_strlen($_POST['pass']) > 20) {
                    $error.= 'Пароль должен содержать от 6 до 20 символов!<br/>';
                }
                elseif (empty($_POST['last_pass'])) {
                    $error.= 'Введите проверочный пароль!<br/>';
                }
                elseif ($_POST['last_pass'] != $_POST['pass']) {
                    $error.= 'Проверочный пароль введен неверно!<br/>';
                } 
                if (empty($_POST['email'])) {
                    $error.= 'Поле e-mail обязательно для заполнения!<br/>';
                }
                elseif (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                    $error.= 'Поле e-mail заполнено неверно!<br/>';
                }
                elseif ($email_s->fetchColumn()) {
                    $error.= 'Пользователь с таким e-mail уже зарегистрирован!<br/>';
                }
                if (empty($_POST['wmr'])) {
                    $error.= 'Введите ваш кошелек!<br/>';
                }
                elseif (!preg_match("#^R[0-9]{12}$#i", $_POST['wmr'])) {
                    $error.= 'Неверно введен WMR-кошелек: вводить нужно, начиная с R!<br/>';
                }
                elseif ($wmr_s->fetchColumn()) {
                    $error.= 'Пользователь с таким кошельком уже зарегистрирован!<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                $password = password_hash($_POST['pass'], PASSWORD_DEFAULT);

                $stmt = $connect->prepare("insert into `users` set `datereg` = ?, `login` = ?, `pass` = ?, `wmr` = ?, `email` = ?, `ref` = ?");

                if ($stmt->execute(array(time(), $_POST['login'], $password, $_POST['wmr'], $_POST['email'], $ref))) {
                    // завершение регистрации
                    $lid = $connect->LastInsertId();
                    if ($lid == 1) {
                        $connect->exec("update `users` set `admin` = '1' where `id` = '1'");
                    } else {
                        mailto($_POST['email'], 'Регистрация в проекте '.$sys_array['project'], 'Спасибо за регистрацию на нашем сайте!<br/>Ваши данные для входа в личный кабинет:<br/>Логин '.$_POST['login'].'<br/>Ссылка: '.ROOT, $sys_array['mail']);
                    }

                    $authlog->execute(array(time(), $_POST['login'], $ip, $ua));
                    $authid = $connect->LastInsertId();

                    // авторизация
                    setcookie('login', $_POST['login']);
                    setcookie('login', $_POST['login'], time() + 3600 * 24, '/');
                    setcookie('pass', $password);
                    setcookie('pass', $password, time() + 3600 * 24, '/');
                    setcookie('auth', $authid);
                    setcookie('auth', $authid, time() + 3600 * 24, '/');

                    header('Location: /');

                } else {
                    echo '<div class="menu">Ошибка при регистрации!</div>';
                }
            }
        }

        echo '<div class="menu">
        <form name="registration" action="" method="POST">
        Логин:<br/><input type="text" name="login" maxlength="15"><br/>
        Пароль:<br/><input type="password" name="pass" maxlength="15"><br/>
        Повторите пароль:<br/><input type="password" name="last_pass" maxlength="15"><br/>
        E-mail:<br/><input type="email" value="@" name="email" maxlength="35"><br/>
        WMR-кошелек:<br/><input type="text" name="wmr" value="R" maxlength="13"><br/>
        Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="$(\'#captcha\').attr(\'src\', \'/img/code.php?\' + Math.random())"><br/>
        <input type="text" name="code"><br/>
        <input type="submit" value="Зарегистрироваться">
        '.(user($ref) ? '<div class="chi">Вас пригласил: '.ulogin($ref).'</div>' : '').'
        </form></div>';

    } else {
        echo '<div class="menu"><div class="danger">Регистрация закрыта!</div></div>';
    }
}
require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>