<?php
$title = 'Добавить товар';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {

    echo '<div class="title">Добавить товар</div>';

    if ($count_shop_kat == 0) {
        echo '<div class="menu">Категорий нет!</div>';
    } else {
        if (isset($_POST['submit'])) {
            $error = '';
            if ($user['rating'] < $rat_array['shop_rating'] && $adm_id != 1) {
                $error.= 'Недостаточно рейтинга: нужно - '.$rat_array['shop_rating'].'!<br/>';
            } else {
                if (empty($_POST['name'])) {
                    $error.= 'Введите название товара!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 250) {
                    $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                }
                if (empty($_POST['text'])) {
                    $error.= 'Введите описание товара!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 10 || mb_strlen($_POST['text']) > 10000) {
                    $error.= 'Описание должно содержать от 10 до 10000 символов!<br/>';
                }
                if (empty($_POST['kat'])) {
                    $error.= 'Выберите категорию товара!<br/>';
                }
                if (empty($_POST['cena'])) {
                    $error.= 'Введите стоимость товара!<br/>';
                }
                elseif ($_POST['cena'] < 10) {
                    $error.= 'Минимальная стоимость товара - 10 рублей!<br/>';
                }
                if ($_POST['uid'] != 0 && !user($_POST['uid'])) {
                    $error.= 'Пользователь с таким ID не найден в системе!<br/>';
                }
                elseif ($_POST['uid'] == $user['id']) {
                    $error.= 'Нельзя продавать самому себе!<br/>';
                }
                if (!file_exists($_FILES['filename']['tmp_name'])) {
                    $error.= 'Вы не выбрали файл!<br/>';
                }
                elseif (!in_array(get_extfile($_FILES['filename']['name']), ['zip', 'rar', '7z'])) {
                    $error.= 'Неверный тип файла: разрешено загружать только ZIP/RAR/7Z!<br/>';
                }
                if ($_FILES['filename']['size'] > 1048576 * 25) {
                    $error.= 'Максимальный размер файла - 25 Mb!<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                $uid = intval($_POST['uid']);
                $col = $uid == 0 ? intval(abs($_POST['col'])) : 1;
                $cena = abs($_POST['cena']);
                $limit = $col == 0 ? 0 : 1;
                $status = $adm_id == 1 ? 1 : 0; // Товары админа проходят без модерации

                $stmt = $connect->prepare("insert into `shop` set `time` = ?, `user` = ?, `name` = ?, `text` = ?, `kat` = ?, `cena` = ?, `col` = ?, `limit` = ?, `uid` = ?, `status` = ?");

                if ($stmt->execute(array(time(), $user['login'], $_POST['name'], $_POST['text'], $_POST['kat'], $cena, $col, $limit, $uid, $status))) {

                    $lid = $connect->LastInsertId();
                    $files = $lid."_".md5($user['id'].$_FILES['filename']['name'].bin2hex(random_bytes(10)))."_".$_FILES['filename']['name'];
                    $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$files;

                    move_uploaded_file($_FILES['filename']['tmp_name'], $full_path);
                    chmod($full_path, 0444);

                    header('Location: /shop/product/'.$lid);

                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<div class="menu">
        <form action="" method="POST" enctype="multipart/form-data">
        Название товара:<br/><input type="text" name="name"><br/>
        Описание товара:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>
        Категория:<br/><select name="kat">';
        $sql = $connect->query("select * from `kat` where `type` = '1' order by `id` desc")->fetchAll();
        foreach ($sql as $row)
            echo '<option value="'.$row['id'].'">'.$row['name'].'</option>';
        echo '</select><br/>
        Стоимость товара:<br/><input type="text" name="cena"><br/>
        Файл:<br/><input type="file" name="filename"><br/>
        Количество копий (0 - без ограничений):<br/><input type="text" name="col" value="0"><br/>
        ID покупателя (0 - доступен всем):<br/><input type="text" name="uid" value="0"><br/>
        <input type="submit" name="submit" value="Добавить товар">
        </form></div>';
    }
    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>