<?php
$title = 'Список покупателей';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {
    // Ищем товар
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $stmt_count->execute(array($id));
    if (!$stmt_count->fetchColumn()) {
        header('Location: /shop');
    } else {

        // Определяем автора
        $stmt_sell = $connect->prepare("select count(*) from `shop` where `id` = ? and `user` = ?");
        $stmt_sell->execute(array($id, $user['login']));
        $sell = $stmt_sell->fetchColumn();
        // Количество покупок
        $stmt_purch = $connect->prepare("select count(*) from `purchase` where `pid` = ?");
        $stmt_purch->execute(array($id));
        $purch = $stmt_purch->fetchColumn();

        echo '<div class="title">Список покупателей ('.$purch.')</div>';

        if (isset($_GET['back']) && ($adm_id == 1 || $sell)) {
            $stmt_num = $connect->prepare("select count(*) from `purchase` where `id` = ?");
            $stmt_num->execute(array($_GET['back']));
            if ($stmt_num->fetchColumn()) {
                $strow_p = $connect->prepare("select * from `purchase` where `id` = ?");
                $strow_p->execute(array($_GET['back']));
                $p_row = $strow_p->fetch(PDO::FETCH_LAZY);
                if ($p_row['status'] == 1) {
                    header('Location: /shop/list/'.$id);
                } else {
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/list/'.$id);
                    }
                    elseif (isset($_POST['yes'])) {
                        $money = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                        $del = $connect->prepare("delete from `purchase` where `id` = ?");
                        if ($money->execute(array($p_row['sum'], $p_row['user'])) && $del->execute(array($_GET['back']))) {
                            notification('Возврат средств - '.quantDec($p_row['sum'], ['рубль', 'рубля', 'рублей']).'!', $p_row['user'], 1);
                            header('Location: /shop/list/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Подтвердить возврат ('.intval($_GET['back']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            } else {
                header('Location: /shop/list/'.$id);
            }
        }

        if ($purch == 0) {
            echo '<div class="menu">Записей нет!</div>';
        } else {

            $page = new Pagination($purch, 10);

            $data = $connect->prepare("select * from `purchase` where `pid` = :pid order by `id` desc limit :start, 10");
            $data->bindValue(':pid', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                Дата: '.daytime($row['time']).'<br/>
                '.($row['review'] ? 'Отзыв: '.smiles(bb($row['review'])) : '').
                ($row['status'] != 1 && ($adm_id == 1 || $sell) ? '<div class="butt2"><a href="?back='.$row['id'].'">Возврат средств</a></div>' : '').'
                </div>';
            }

            $page->navigation();

        }

        echo '<div class="forlink"><a href="/shop/product/'.$id.'" class="links"><img src="/img/product.png" alt="">Вернуться к товару</a></div>';

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>