<?php
$title = 'Просмотр товара';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($mod_array['shop'] == 1) {

    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $stmt_count->execute(array($id));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /');
    } else {

        // prepared
        $del_screen = $connect->prepare("delete from `screen` where `id` = ?");
        $in_basket = $connect->prepare("insert into `basket` set `pid` = ?, `user` = ?");
        $del_basket = $connect->prepare("delete from `basket` where `pid` = ? and `user` = ?");
        $rating = $connect->prepare("select count(*) from `purchase` where `pid` = ? and `status` = ?");

        // плюсы
        $rating->execute(array($id, 1));
        $plus = $rating->fetchColumn();
        // минусы
        $rating->execute(array($id, 2));
        $minus = $rating->fetchColumn();
        // рейтинг
        $respect = $plus - $minus; 

        // продано копий
        $stmt_purch = $connect->prepare("select count(*) from `purchase` where `pid` = ?");
        $stmt_purch->execute(array($id));
        $purch = $stmt_purch->fetchColumn();
        // комментарии
        $stmt_comm = $connect->prepare("select count(*) from `comments` where `did` = ? and `type` = '2'");
        $stmt_comm->execute(array($id));
        $count_comm = $stmt_comm->fetchColumn();
        // скрины
        $stmt_screen = $connect->prepare("select count(*) from `screen` where `did` = ? and `type` = '1'");
        $stmt_screen->execute(array($id));
        $count_screen = $stmt_screen->fetchColumn();
        // корзина
        $stmt_num_bk = $connect->prepare("select count(*) from `basket` where `pid` = ?");
        $stmt_num_bk->execute(array($id));
        $num_bk = $stmt_num_bk->fetchColumn();

        // row
        $stmt_row = $connect->prepare("select * from `shop` where `id` = ?");
        $stmt_row->execute(array($id));
        $row = $stmt_row->fetch(PDO::FETCH_LAZY);
        // категория
        $stmt_kat = $connect->prepare("select * from `kat` where `type` = '1' and `id` = ?");
        $stmt_kat->execute(array($row['kat']));
        $krow = $stmt_kat->fetch(PDO::FETCH_LAZY);

        // Файл
        $fileshop = @glob($_SERVER["DOCUMENT_ROOT"]."/files/shop/".$id."_*")[0];
        $type = $row['uid'] == 0 ? 'универсальный' : 'заказ для '.ulogin($row['uid'], $connect);
        $col = $row['limit'] == 0 ? 'не ограничено' : $row['col'];

        echo '<div class="title">Просмотр товара: '.$row['name'].'</div>';

        if (isset($active)) {

            // наличие в покупках юзера
            $stmt_purchase = $connect->prepare("select count(*) from `purchase` where `pid` = ? and `user` = ?");
            $stmt_purchase->execute(array($id, $user['login']));
            $user_purchase = $stmt_purchase->fetchColumn();
            // отзыв
            $stmt_rev = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ? and `user` = ?");
            $stmt_rev->execute(array($id, $user['login']));
            $u_rev = $stmt_rev->fetchColumn();
            // корзина
            $stmt_bk = $connect->prepare("select count(*) from `basket` where `pid` = ? and `user` = ?");
            $stmt_bk->execute(array($id, $user['login']));
            $bk = $stmt_bk->fetchColumn();

            if (isset($_GET['del']) && ($adm_id == 1 || $row['user'] == $user['login'])) {
                // платежи
                $stmt_p = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ?");
                $stmt_p->execute(array($id));
                if (!$stmt_p->fetchColumn()) {
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['del'])) {
                        $del_shop = $connect->prepare("delete from `shop` where `id` = ?");
                        $del_basket = $connect->prepare("delete from `basket` where `pid` = ?");
                        $del_screen = $connect->prepare("delete from `screen` where `did` = ? and `type` = '1'");
                        $del_comm = $connect->prepare("delete from `comments` where `did` = ? and `type` = '2'");
                        if ($del_shop->execute(array($id)) && $del_basket->execute(array($id)) && $del_screen->execute(array($id)) && $del_comm->execute(array($id))) {
                            if (!$purch && file_exists($fileshop))
                                unlink($fileshop);
                            header('Location: /shop');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="del" value="Удалить товар">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                } else {
                    header('Location: /shop/product/'.$id);
                }
            } 
            elseif (isset($_GET['mod']) && $adm_id == 1 && $row['user'] != $user['login']) {
                if (isset($_POST['cancel'])) {
                    header('Location: /shop/product/'.$id);
                }
                elseif (isset($_POST['submit'])) {
                    $message = !empty($_POST['message']) ? '[br]Примечание: '.$_POST['message'] : '';
                    $stmt = $connect->prepare("update `shop` set `time` = ?, `status` = ? where `id` = ?");
                    if ($stmt->execute(array(time(), $_POST['status'], $id))) {
                        notification('Ваш товар [url='.ROOT.'/shop/product/'.$row['id'].']'.$row['name'].'[/url] '.($status == 1 ? 'одобрен' : 'не одобрен').' для участия в продажах.'.$message, $row['user'], 1);
                        header('Location: /shop/product/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                Выберите действие:<br/>
                <select name="status">
                <option value="1">Разместить в магазине</option>
                <option value="0">Не размещать в магазине</option>
                </select><br/>
                Примечание:<br/><textarea name="message"></textarea><br/>
                <input type="submit" name="submit" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } 
            elseif (isset($_GET['bk']) && $row['user'] != $user['login'] && !$user_purchase) {
                if (isset($_POST['cancel'])) {
                    header('Location: /shop/product/'.$id);
                }
                elseif (isset($_POST['yes'])) {
                    if (!$bk) {
                        notification('[b]'.$user['login'].'[/b] добавил ваш товар [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url] в корзину.', $row['user'], 1);
                        $in_basket->execute(array($id, $user['login']));
                    } else {
                        $del_basket->execute(array($id, $user['login']));
                    }
                    header('Location: /shop/product/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="yes" value="'.(!$bk ? 'Добавить в корзину' : 'Удалить из корзины').'">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            }
            elseif (isset($_GET['review']) && $row['user'] != $user['login'] && $user_purchase && $u_rev) {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (mb_strlen($_POST['review']) > 2500) {
                        $error.= 'Отзыв должен содержать не более 2500 символов!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `purchase` set `status` = ?, `review` = ? where `pid` = ? and `user` = ?");
                        if ($stmt->execute(array($_POST['status'], $_POST['review'], $id, $user['login']))) {
                            // обработка платежа
                            if ($_POST['status'] == 1) {
                                // Рейтинг
                                ratingUser($rat_array['shop'], $row['user'], 1);
                                // row
                                $stmt_rev = $connect->prepare("select * from `purchase` where `pid` = ? and `user` = ?");
                                $stmt_rev->execute(array($id, $user['login']));
                                $rev = $stmt_rev->fetch(PDO::FETCH_LAZY);
                                // Выплата
                                $money = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                                $money->execute(array($rev['sum'], $rev['seller']));
                            }
                            // оповещение
                            notification('[b]'.$user['login'].'[/b] оставил к вашему товару [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url] '.($_POST['status'] == 1 ? '[color=green]положительный[/color]' : '[color=red]отрицательный[/color]').' [url='.ROOT.'/shop/list/'.$id.']отзыв[/url].', $row['user'], 1);
                            header('Location: /shop/product/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /shop/product/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="post">
                Отзыв:<br/>
                <textarea name="review"></textarea><br/>
                <select name="status">
                <option value="1">Положительный</option>
                <option value="2">Отрицательный</option>
                </select><br/>
                <input type="submit" name="yes" value="Отправить"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
            elseif (isset($_GET['dsc']) && $row['user'] == $user['login']) {
                $stmt_num = $connect->prepare("select count(*) from `screen` where `id` = ? and `did` = ? and `type` = '1'");
                $stmt_num->execute(array($_GET['dsc'], $id));
                if (!$stmt_num->fetchColumn()) {
                    header('Location: /shop/product/'.$id);
                } else {
                    $stmt_scrow = $connect->prepare("select * from `screen` where `id` = ?");
                    $stmt_scrow->execute(array($_GET['dsc']));
                    $scrow = $stmt_scrow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['yes'])) {
                        $del_screen->execute(array($_GET['dsc']));
                        unlink($_SERVER["DOCUMENT_ROOT"]."/files/".$scrow['file']);
                        header('Location: /shop/product/'.$id);
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Удалить скриншот ('.intval($_GET['dsc']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
        }

        if ($count_screen > 0) {

            $page = new Pagination($count_screen, 1);

            $data = $connect->prepare("select * from `screen` where `did` = :did  and `type` = '1' order by `id` limit :start, 1");
            $data->bindValue(':did', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT); 
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $scrow) {

                $screen = '/files/'.$scrow['file'];

                echo '<div class="menu">
                <img src="/preview/160x0/'.base64_encode($screen).'" alt="preview" class="img-thumbnail" data-toggle="modal" data-target="#screen">
                '.(isset($active) && $row['user'] == $user['login'] ? '<div class="butt1"><a href="?dsc='.$scrow['id'].'">Удалить скриншот</a></div>' : '').'
                </div>
                <div id="screen" class="modal fade" tabindex="-1">
                  <div class="modal-dialog">
                    <img src="'.$screen.'" alt="screen" class="img-thumbnail" data-dismiss="modal">
                  </div>
                </div>';

            }

            $page->navigation();

        }

        echo '<div class="menu">'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>
        <div class="menu">
        Продавец: '.iconUser($row['user'], 1).(isset($active) && user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
        Количество копий: '.$col.'<br/>
        Продано копий: '.$purch.'<br/>
        Добавили в корзину: '.$num_bk.' чел.<br/>
        Тип: '.$type.'<br/>
        Размер файла: '.get_filesize($fileshop).'<br/>
        Дата добавления: '.daytime($row['time']).'<br/>
        '.($row['upd'] ? 'Последнее обновление: '.daytime($row['upd']).'<br/>' : '').'
        Стоимость: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'<br/>
        Рейтинг товара: '.$respect.'<img src="/img/star.png" alt="star">
        <div class="butt2">
        <a href="/shop/seller/'.uid($row['user']).'">Все товары автора</a><a href="/shop/category/'.$krow['id'].'">'.$krow['name'].'</a><br/>
        <a href="/shop/comments/'.$id.'">Комментарии ('.$count_comm.')</a>
        '.(isset($active) ? ($row['user'] != $user['login'] && $user_purchase == 0 ? '<a href="?bk">'.(!$bk ? 'В корзину' : 'Удалить из корзины').'</a>' : '').
        ($row['user'] != $user['login'] && $user_purchase && $u_rev ? '<a href="?review">Отзыв</a>' : '').'
        <a href="/shop/list/'.$id.'">Покупатели ('.$purch.')</a><br/>
        '.(($adm_id == 1 || $row['user'] == $user['login']) ? '<a href="?del">Удалить</a>' : '').
        ($row['user'] == $user['login'] ? '
        <a href="?edit">Редактировать</a>
        <a href="?screen">Загрузить скриншоты</a><br/>
        <a href="/shop/download/'.$id.'">Скачать</a>
        <a href="?upd">Замена архива</a>' : '').
        ($adm_id == 1 && $row['user'] != $user['login'] ? '<a href="?mod">Модерация</a>' : '') : '').'
        </div></div>';

        if (isset($active)) {
            if ($row['user'] == $user['login']) {
                if (isset($_GET['screen'])) {

                    echo '<div class="title">Загрузка скриншотов</div>';

                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['upload_screen'])) {

                        $error = '';

                        $reFiles = reArrayFiles($_FILES['filename']);

                        if (isset($_SESSION['scr_time']) && $_SESSION['scr_time'] > time() - 30) {
                            $error.= 'Нельзя загружать файлы чаще, чем раз в 30 секунд!<br/>';
                        }
                        elseif (count($reFiles) > 10) {
                            $error.= 'Нельзя загружать более 10 файлов одновременно!<br/>';
                        } else {
                            foreach ($reFiles as $file) {
                                if (file_exists($file['tmp_name'])) {
                                    $file_find = 1; // файлы есть
                                    if (!in_array(get_extfile($file['name']), ['jpg', 'png']) || !exif_imagetype($file['tmp_name'])) {
                                        $error.= $file['name'].': неверный тип файла!<br/>';
                                    }
                                    if ($file['size'] > 1024 * 1024) {
                                        $error.= $file['name'].': максимальный размер файла - 1 Mb!<br/>';
                                    }
                                }
                            }
                            if (!isset($file_find)) {
                                $error.= 'Выберите хотя бы один файл!<br/>';
                            }
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {

                            $new_screen = $connect->prepare("insert into `screen` set `file` = ?, `did` = ?, `type` = '1'");

                            foreach ($reFiles as $file) {
                                if (file_exists($file['tmp_name'])) {
                                    // Записываем в бд
                                    $files = $id."_".$user['id']."_".random_int(11111, 99999)."_".$file['name'];
                                    $new_screen->execute(array($files, $id));
                                    // Заливаем
                                    $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/".$files;
                                    move_uploaded_file($file['tmp_name'], $full_path);
                                }
                            }

                            $_SESSION['scr_time'] = time();

                            header('Location: /shop/product/'.$id);

                        }
                    }

                    echo '<div class="menu">
                    <form action="" method="post" enctype="multipart/form-data">
                    <input type="file" name="filename[]" id="screen"><br/>
                    <input type="file" name="filename[]" id="screen"><br/>
                    <input type="file" name="filename[]" id="screen"><br/>
                    <input type="file" name="filename[]" id="screen"><br/>
                    <input type="file" name="filename[]" id="screen"><br/>
                    <div class="butt1" id="pre"><a href="javascript:AddScreen()">Добавить еще</a></div><br/>
                    <input type="submit" name="upload_screen" value="Загрузить">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';

                }
                elseif (isset($_GET['edit'])) {

                    echo '<div class="title">Редактировать</div>';

                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['edit'])) {
                        $error = '';
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название товара!<br/>';
                        }
                        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 250) {
                            $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                        }
                        if (empty($_POST['text'])) {
                            $error.= 'Введите описание товара!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 10 || mb_strlen($_POST['text']) > 10000) {
                            $error.= 'Описание должно содержать от 10 до 10000 символов!<br/>';
                        }
                        if (empty($_POST['kat'])) {
                            $error.= 'Выберите категорию товара!<br/>';
                        }
                        if (empty($_POST['cena'])) {
                            $error.= 'Введите стоимость товара!<br/>';
                        }
                        elseif ($_POST['cena'] < 1) {
                            $error.= 'Минимальная стоимость товара - 1!<br/>';
                        }
                        if ($_POST['uid'] != 0 && !user($_POST['uid'])) {
                            $error.= 'Пользователь с таким ID не найден в системе!<br/>';
                        }
                        elseif ($_POST['uid'] == $user['id']) {
                            $error.= 'Нельзя продавать самому себе!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {

                            $uid = intval($_POST['uid']);
                            $col = $uid == 0 ? intval(abs($_POST['col'])) : 1;
                            $cena = abs($_POST['cena']);
                            $limit = $col == 0 ? 0 : 1;

                            $stmt = $connect->prepare("update `shop` set `name` = ?, `text` = ?, `kat` = ?, `cena` = ?, `col` = ?, `limit` = ?, `uid` = ? where `id` = ?");

                            if ($stmt->execute(array($_POST['name'], $_POST['text'], $_POST['kat'], $cena, $col, $limit, $uid, $id))) {
                                header('Location: /shop/product/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }

                    echo '<div class="menu">
                    <form action="" method="post">
                    Название товара:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                    Описание товара:<br/><textarea name="text" rows="3" cols="20">'.$row['text'].'</textarea><br/>
                    Категория:<br/><select name="kat">';
                   $sql = $connect->query("select * from `kat` where `type` = '1' order by `id` desc")->fetchAll();
                    foreach ($sql as $krow)
                        echo '<option value="'.$krow['id'].'"'.($row['kat'] == $krow['id'] ? 'selected' : '').'>'.$krow['name'].'</option>';
                    echo '</select><br/> 
                    Стоимость товара:<br/><input type="text" name="cena" value="'.$row['cena'].'"><br/>
                    Количество копий (0 - без ограничений):<br/><input type="text" name="col" value="'.$row['col'].'"><br/>
                    ID покупателя (0 - доступен всем):<br/><input type="text" name="uid" value="'.$row['uid'].'"><br/>
                    <input type="submit" name="edit" value="Сохранить">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';

                }
                elseif (isset($_GET['upd'])) {

                    echo '<div class="title">Замена архива</div>';

                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['uploadnew'])) {
                        $error = '';
                        if (!file_exists($_FILES['filename']['tmp_name'])) {
                            $error.= 'Вы не выбрали файл!<br/>';
                        }
                        elseif (!in_array(get_extfile($_FILES['filename']['name']), ['zip', 'rar', '7z'])) {
                            $error.= 'Неверный тип файла: разрешено загружать только ZIP/RAR/7Z!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1048576 * 25) {
                            $error.= 'Максимальный размер файла - 25 Mb!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {

                            if (file_exists($fileshop)) unlink($fileshop);

                            $update = $connect->prepare("update `shop` set `upd` = ? where `id` = ?");

                            if ($update->execute(array(time(), $id))) {

                                $files = $id."_".md5($user['id'].$_FILES['filename']['name'].bin2hex(random_bytes(10)))."_".$_FILES['filename']['name'];
                                $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$files;

                                move_uploaded_file($_FILES['filename']['tmp_name'], $full_path);
                                chmod($full_path, 0444);

                                header('Location: /shop/product/'.$id);

                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }

                    echo '<div class="menu">
                    <form action="" method="post" enctype="multipart/form-data">
                    Файл:<br/><input type="file" name="filename"><br/>
                    <input type="submit" name="uploadnew" value="Заменить">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';

                }
            } elseif ($row['status'] == 1) {
                if ($user_purchase) {
                    echo '<div class="forlink"><a href="/shop/download/'.$id.'" class="links"><img src="/img/download.png" alt="download">Скачать</a></div>';
                } else {
                    if ($row['limit'] == 1 && $row['col'] <= 0) {
                        echo '<div class="menu"><div class="information">Все копии распроданы!</div></div>';
                    } else {
                        if ($row['uid'] != 0 && $row['uid'] != $user['id']) {
                            echo '<div class="menu"><div class="information">Этот товар не для вас!</div></div>';
                        } else {
                            if ($user['money'] < $row['cena']) {
                                echo '<div class="menu"><div class="information">Недостаточно средств для покупки!</div></div>';
                            } else {
                                if (isset($_GET['buy'])) {
                                    if (isset($_POST['cancel'])) {
                                        header('Location: /shop/product/'.$id);
                                    }
                                    elseif (isset($_POST['yes'])) {
                                        // покупка
                                        $buy = $connect->prepare("insert into `purchase` set `time` = ?, `pid` = ?, `name` = ?, `user` = ?, `seller` = ?, `sum` = ?");
                                        $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
                                        $stmt = $connect->prepare("update `shop` set `col` = `col` - '1' where `id` = ?");
                                        if ($buy->execute(array(time(), $id, $row['name'], $user['login'], $row['user'], $row['cena'])) && $money->execute(array($row['cena'], $user['id'])) && $del_basket->execute(array($id, $user['login']))) {
                                            notification('[b]'.$user['login'].'[/b] купил ваш товар [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url]', $row['user'], 1);
                                            ratingUser($rat_array['buy'], $user['id']);
                                            if ($row['limit'] == 1) {
                                                $stmt->execute(array($id));
                                            }
                                            header('Location: /shop/purchase');
                                        } else {
                                            echo '<div class="menu">Произошла ошибка!</div>';
                                        }
                                    } else {
                                        echo '<div class="menu">
                                        <form action="" method="post">
                                        <input type="submit" name="yes" value="Подтвердить покупку">
                                        <input type="submit" name="cancel" value="Отмена">
                                        </form></div>';
                                    }
                                } else {
                                    echo '<div class="forlink"><a href="?buy" class="links"><img src="/img/money.png" alt="buy">Купить</a></div>';
                                }
                            }
                        }
                    }
                }
            }
        } else {
            echo '<div class="menu"><div class="information">Авторизуйтесь, чтобы была возможность купить товар.</div></div>';
        }
        echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>'; 
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>