<?php
$title = 'Новое задание';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['task'] == 1) {

    echo '<div class="title">Новое задание</div>';

    if (isset($_POST['submit'])) {
        $error = '';
        if (empty($_POST['name'])) {
            $error.= 'Введите название!<br/>';
        }
        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 250) {
            $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
        }
        if (empty($_POST['text'])) {
            $error.= 'Введите требования по выполнению задания!<br/>';
        }
        elseif (mb_strlen($_POST['text']) < 15 || mb_strlen($_POST['text']) > 2500) {
            $error.= 'Требования должны содержать от 15 до 2500 символов!<br/>';
        }
        if (empty($_POST['col'])) {
            $error.= 'Введите количество выполнений!<br/>';
        }
        elseif (!is_numeric($_POST['col'])) {
            $error.= 'Неверное значение!<br/>';
        }
        elseif ($_POST['col'] < 1) {
            $error.= 'Минимальное количество выполнений - 1!<br/>';
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите цену выполнения!<br/>';
        }
        elseif ($_POST['cena'] < $sys_array['tcena']) {
            $error.= 'Минимальная цена выполнения - '.quantDec($sys_array['tcena'], ['рубль', 'рубля', 'рублей']).'!<br/>';
        }
        if ($_POST['cena'] * $_POST['col'] > $user['money'] && $adm_id != 1) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $col = intval($_POST['col']);
            $cena = abs($_POST['cena']);
            $sum = $col * $cena;
            $status = $adm_id == 1 ? 1 : $mod_array['mod_t'];

            $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
            $stmt = $connect->prepare("insert into `task` set `time` = ?, `user` = ?, `name` = ?, `text` = ?, `col` = ?, `cena` = ?, `status` = ?");

            if ($money->execute(array($sum, $user['id'])) && $stmt->execute(array(time(), $user['login'], $_POST['name'], $_POST['text'], $col, $cena, $status))) {
                header('location: /task');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Название:<br/><input type="text" name="name"><br/>
    Требования:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>
    Количество выполнений:<br/><input type="text" name="col"><br/>
    Цена выполнения:<br/><input type="text" name="cena"><br/>
    <input type="submit" name="submit" value="Создать задание">
    </form></div>';
    echo '<div class="forlink"><a href="/task" class="links"><img src="/img/quest.png" alt="">Мои задания</a></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>